> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getnimbus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DIDs for an address

> Retrieves Decentralized Identifier (DID) associated with an address. Currently supports SUI Name Service (SNS) for Sui addresses and domain TLDs for SOL addresses.



## OpenAPI

````yaml /api-reference/openapi.json get /v2/address/{address}/dids
openapi: 3.0.0
info:
  title: Nimbus API
  version: 1.0.0
  description: >-
    API for Nimbus


    ## Rate Limiting

    This API implements rate limiting to ensure fair usage and protect our
    services. The current rate limit is:


    - **40 requests per 1 minute** per IP address


    If you exceed this limit, you will receive a 429 (Too Many Requests)
    response. Please wait for the rate limit window to reset before making
    additional requests.


    If you need more, please contact us at **thanhle@getnimbus.io** or TG
    **@thanhle27** to get premium API Key.
servers:
  - url: https://api.getnimbus.io
    description: API server
security: []
tags: []
paths:
  /v2/address/{address}/dids:
    get:
      tags:
        - Address
      summary: Get DIDs for an address
      description: >-
        Retrieves Decentralized Identifier (DID) associated with an address.
        Currently supports SUI Name Service (SNS) for Sui addresses and domain
        TLDs for SOL addresses.
      parameters:
        - in: path
          name: address
          required: true
          schema:
            type: string
          example: '0x1aadcafd7750f479eb0ac0fbcc4cade7b4de8205'
          description: The blockchain address to query DID accounts for
      responses:
        '200':
          description: Successfully retrieved DID accounts
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      address:
                        type: string
                        description: Wallet address
                        example: 0x123...abc
                      data:
                        type: array
                        description: List of name services associated with the address
                        items:
                          type: string
                        example:
                          - example.sui
                          - test.sol
        '400':
          description: Invalid address provided
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
      x-default: nimbus-6a7c85b1-99f4-4d99-b8f3-e6e49b8daad0

````